import { AdminComplaintService } from "./admin.complaint.service";
import { CreateComplaintDto, UpdateComplaintDto, UpdateComplaintStatusDto } from "./complaint.dto";
import { ComplaintStatus } from "../../common/complaint/complaint.entity";
export declare class AdminComplaintController {
    private readonly adminComplaintService;
    constructor(adminComplaintService: AdminComplaintService);
    create(createComplaintDto: CreateComplaintDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(page?: number, limit?: number, status?: ComplaintStatus): Promise<{
        status: boolean;
        message: string;
        data: {
            items: import("../../common/complaint/complaint.entity").Complaint[];
            total: number;
            page: number;
            limit: number;
        };
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/complaint/complaint.entity").Complaint;
    }>;
    update(id: string, updateComplaintDto: UpdateComplaintDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
    updateStatus(id: string, updateStatusDto: UpdateComplaintStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
}
